Subject: RE: [Nea] REQ: section 8

From: "Sanchez, Mauricio (ProCurve)" <[email-masked]>
Date: Mon, 5 Mar 2007 06:02:02 -0000

> >
> > My comments on section 8:
> > 1. Section 8.1, ".NEA client frequently is expected to trust
> > the network infrastructure not to misuse any disclosed
> > Posture information." sentence:
> > Doesn't the client always need to trust that the network
> > infrastructure isn't going to misuse the posture information?
> >  What are some examples where it doesn't need to trust the
> > infrastructure?
> 
> We could make this absolute but their could be situations where the
> client didn't disclose any sensitive information that it cares about
> being disclosed to other parties (e.g. when it sends only Compliance
> Claim Attributes.)  Another option might be that the employment
> agreement the Endpoint User signed states that the Endpoint Owner (who
> is also the network Owner) can make use of the information in any way
> it
> sees fit.  In general, I agree with your comment but wanted to leave
> the
> door open for (hopefully!) less common situations.  Maybe we should
> change "frequently" to "normally"?

I support the word change to clarify the sentence. 

> > 2. Section 8.1.3  - Isn't there a version of the "lying
> > client" problem that is applicable to servers?  What if my
> > NEA server were compromised in a way that it no longer could
> > be trusted to function correctly? I'd say each server
> > component needs the same protection afforded to clients for
> > the lying client problem.
> 
> Can you explain more?  In these examples the server isn't being
> assessed
> by the client.  If it were being assessed, then this would be an issue.
> What did you have in mind (is it the server being assessed)?  In this
> case the NEA Server would run on the Endpoint and the NEA Client on the
> "server".

A NEA client doesn't assess the NEA server from a posture compliance
perspective, but doesn't the NEA client need to minimally establish that
it's speaking to a valid NEA server?  

If I were running a NEA client on my laptop I wouldn't reply to requests
from just any arbitrary NEA server.  I'd first want to make sure that I was
talking to a valid NEA server before handing over my posture info.  

Cheers,
MS
_______________________________________________
Nea mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nea

---

From: "Paul Sangster" <[email-masked]>
Date: Mon, 5 Mar 2007 21:11:07 -0800

Comments below ... 

> -----Original Message-----
> From: Sanchez, Mauricio (ProCurve) [mailto:[email-masked]] 
> Sent: Sunday, March 04, 2007 10:02 PM
> To: Paul Sangster; [email-masked]
> Subject: RE: [Nea] REQ: section 8
> 
> > >
> > > 1. Section 8.1, ".NEA client frequently is expected to trust the 
> > > network infrastructure not to misuse any disclosed Posture 
> > > information." sentence:
> > it sees fit.  In general, I agree with your comment but wanted to 
> > leave the door open for (hopefully!) less common 
> situations.  Maybe we 
> > should change "frequently" to "normally"?
> 

Included in -01

> 
> 
> > > 2. Section 8.1.3  - Isn't there a version of the "lying client" 
> > > problem that is applicable to servers?  What if my NEA 
> server were 
> > > compromised in a way that it no longer could be trusted 
> to function 
> > > correctly? I'd say each server component needs the same 
> protection 
> > > afforded to clients for the lying client problem.
> > 
> > assessed by the client.  If it were being assessed, then 
> this would be 
> > an issue.
> > case the NEA Server would run on the Endpoint and the NEA Client on 
> > the "server".
> 
> A NEA client doesn't assess the NEA server from a posture 
> compliance perspective, but doesn't the NEA client need to 
> minimally establish that it's speaking to a valid NEA server?  

Done through authentication.

> 
> If I were running a NEA client on my laptop I wouldn't reply 
> to requests from just any arbitrary NEA server.  I'd first 
> want to make sure that I was talking to a valid NEA server 
> before handing over my posture info.  

Their would be a strong authentication so you'd know the identity of the
NEA Server before disclosing any information to it.